UNREGISTER_NETDEV(9)

NAME
unregister_netdev - remove device from the kernel

SYNOPSIS

void unregister_netdev(struct net_device * dev);

ARGUMENTS

dev
    device

DESCRIPTION

This function shuts down a device interface and removes it from the kernel tables.

This is just a wrapper for unregister_netdevice that takes the rtnl semaphore. In general you want to use this and not unregister_netdevice.

COPYRIGHT